Bug 590102 - QMP: Backport RESUME event
Summary: QMP: Backport RESUME event
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: qemu-kvm   
(Show other bugs)
Version: 6.0
Hardware: All Linux
low
medium
Target Milestone: rc
: ---
Assignee: Luiz Capitulino
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 559201
TreeView+ depends on / blocked
 
Reported: 2010-05-07 18:03 UTC by Luiz Capitulino
Modified: 2013-01-09 22:33 UTC (History)
5 users (show)

Fixed In Version: qemu-kvm-0.12.1.2-2.53.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-26 08:18:59 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Luiz Capitulino 2010-05-07 18:03:36 UTC
Description of problem:

We currently have the STOP event but don't have the matching RESUME one, this means that clients are notified when the VM is stopped but don't get anything when it resumes. This is already causing some trouble to libvirt:

https://www.redhat.com/archives/libvir-list/2010-April/msg01208.html

Version-Release number of selected component (if applicable):
qemu-kvm-0.12.1.2-2.50.el6

How reproducible:


Steps to Reproduce:
1. Start QEMU with a QMP and a user monitor:

# qemu-kvm [...] -monitor stdio -qmp tcp:localhost:4444,server

2. Connect to the QMP monitor and run the capabilities command:

{ "execute": "qmp_capabilities" }

3. In the user monitor issue the stop and cont commands:

(qemu) stop
(qemu) cont
  
Actual results:

Only the STOP event is emitted in the QMP monitor.

Expected results:

A matching RESUME event.

Additional info:

Comment 1 RHEL Product and Program Management 2010-05-07 18:50:53 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 5 Qunfang Zhang 2010-05-14 09:13:03 UTC
Verified on qemu-kvm-0.12.1.2-2.53.el6, passed.

Command line:
 /usr/libexec/qemu-kvm -no-hpet -usbdevice tablet -rtc-td-hack -no-kvm-pit-reinjection -startdate now -drive file=RHEL-Server-5.5-64-virtio.qcow2,media=disk,if=ide,cache=off -net nic,vlan=0,macaddr=10:1a:4a:10:20:40,model=e1000 -net tap,vlan=0,ifname=e1000_11_1,script=/etc/qemu-ifup -cpu qemu64,+sse2 -balloon none -vnc :10 -uuid `uuidgen`  -m 2G -smp 2 -boot c -qmp tcp:0:4444,server -monitor stdio

Comment 7 Qunfang Zhang 2010-05-26 08:18:44 UTC
Change the status to verified then close it according to the Comment 5.


Note You need to log in before you can comment on or make changes to this bug.